# Testing

To run the end-to-end tests the OpenAPI Python client should be generated first:
```
openapi-generator generate -i ./api.yml -g python --package-name nomilo_client -o ./python_client
```

Then install the client, here a virtual env is created for this purpose:
```
python -m venv env
env/bin/pip install ./python_client
```

Finally start the name server. It will listen on `127.0.0.1:5353`, be sure to update the configuration accordingly.
```
docker-compose -f ./dev-scripts/docker-compose.yml up -d
```

You are now all set to run the e2e tests. Note that Nomilo must be started first.
```
env/bin/python -m unittest e2e/*.py
```