const baseUrl = '/api/v1';


function apiGet(url) {
    return fetch(`${baseUrl}/${url}`)
        .then(res => {
            if (!res.ok) {
                // do something here
                throw new Error('Not ok');
            }
            return res.json();
        });
}


function getRecords(zone) {
    return apiGet(`zones/${zone}/records`);
}

export {
    getRecords,
};
